Module java.base
Package java.lang

## Class NegativeArraySizeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.NegativeArraySizeException

- All Implemented Interfaces:
    `Serializable`

      public class NegativeArraySizeException
      extends RuntimeException

  Thrown if an application tries to create an array with negative size.
  Since:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NegativeArraySizeException​()` | Constructs a `NegativeArraySizeException` with no detail message.
    `NegativeArraySizeException​(String s)` | Constructs a `NegativeArraySizeException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### NegativeArraySizeException

          public NegativeArraySizeException​()

      Constructs a `NegativeArraySizeException` with no detail message.

    - #### NegativeArraySizeException

          public NegativeArraySizeException​(String s)

      Constructs a `NegativeArraySizeException` with the specified detail message.
      Parameters:
        `s` - the detail message.